---
title: XRReferenceSpace.onreset
slug: Web/API/XRReferenceSpace/onreset
tags:
  - API
  - AR
  - Event Handler
  - Property
  - Reality
  - Reference
  - Spatial
  - VR
  - Virtual
  - WebXR
  - WebXR API
  - WebXR Device API
  - XR
  - XRReferenceSpace
  - augmented
  - onreset
  - reset
  - tracking
---
<p>{{APIRef("WebXR Device API")}}{{secureContext_header}}{{draft}}</p>

<p>The {{domxref("XRReferenceSpace")}} interface's <code><strong>onreset</strong></code> event handler property can be set to a function which is called when the <code>XRReferenceSpace</code> receives a {{domxref("XRReferenceSpace.reset_event", "reset")}} event, signaling that the  XR device has experienced a discontinuity large enough to require that the position and/or orientation of the origin be significantly altered to compensate.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>xrReferenceSpace</em>.onreset = <em>eventHandler</em>;

<em>eventHandler</em> = <em>xrReferenceSpace</em>.onreset;
</pre>

<h3 id="Value">Value</h3>

<p>An event handler function which will be called whenever the <code>reset</code> event is received by the <code>XRReferenceSpace</code>.</p>

<h2 id="Usage_notes">Usage notes</h2>

<p>See the {{domxref("XRReferenceSpace.reset_event", "reset")}} event documentation for further details.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebXR','#dom-xrreferencespace-onreset','onreset')}}</td>
   <td>{{Spec2('WebXR')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p>The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("api.XRReferenceSpace.onreset")}}</p>
